<script lang="ts">
  export let suit: Suit;

  $: suitEmoji = getSuitEmoji(suit);
  $: title = getTitle(suit);

  function getSuitEmoji(suit: Suit): string {
    switch (suit) {
      case "A":
        return "🐝";
      case "B":
        return "🐞";
      case "C":
        return "🪳";
      case "D":
        return "🦟";
      case "E":
        return "🐛";
      case "F":
        return "🦂";
      case "G":
        return "🕷️";
      case "H":
        return "🪲";
    }
  }

  function getTitle(suit: Suit): string {
    switch (suit) {
      case "A":
        return "bee";
      case "B":
        return "ladybug";
      case "C":
        return "cockroach";
      case "D":
        return "mosquito";
      case "E":
        return "caterpillar";
      case "F":
        return "scorpion";
      case "G":
        return "spider";
      case "H":
        return "beetle";
    }
  }
</script>

<i class="emoji" {title}>
  {suitEmoji}
</i>

<style>
  .emoji {
    outline: 0;
    filter: drop-shadow(0 0 0.01em #000a);
  }
</style>
